org.apache.ode.bpel.compiler.bom

## Class CommunicationHelper

- java.lang.Object
- - org.apache.ode.bpel.compiler.bom.BpelObject
  - - org.apache.ode.bpel.compiler.bom.CommunicationHelper

- All Implemented Interfaces:
    SourceLocation, Communication

      public final class CommunicationHelper
      extends BpelObject
      implements Communication

- - ### Field Summary

    - ### Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject

      `ATTR_LINENO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommunicationHelper(org.w3c.dom.Element el)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Correlation>` | `getCorrelations()`
    `java.lang.String` | `getOperation()` Get the operation for the communication.
    `java.lang.String` | `getPartnerLink()` Get the partnerLink link on which to communicate.
    `javax.xml.namespace.QName` | `getPortType()` Get the port type for the communication.

    - ### Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject

      `createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CommunicationHelper

          public CommunicationHelper(org.w3c.dom.Element el)

  - ### Method Detail

    - #### getOperation

          public java.lang.String getOperation()

      Description copied from interface: `Communication`
      Get the operation for the communication.
      Specified by:
        `getOperation` in interface `Communication`
      Returns:
        name of operation

    - #### getPartnerLink

          public java.lang.String getPartnerLink()

      Description copied from interface: `Communication`
      Get the partnerLink link on which to communicate.
      Specified by:
        `getPartnerLink` in interface `Communication`
      Returns:
        name of the partner link

    - #### getPortType

          public javax.xml.namespace.QName getPortType()

      Description copied from interface: `Communication`
      Get the port type for the communication. This property is optional as the partner link type implies a port type.
      Specified by:
        `getPortType` in interface `Communication`
      Returns:
        name of portType for the communication (or `null`)

    - #### getCorrelations

          public java.util.List<Correlation> getCorrelations()

      Specified by:
        `getCorrelations` in interface `Communication`